AC_INIT()
AM_CONFIG_HEADER(config.h)
AM_INIT_AUTOMAKE(epiphany,0.7.0)
AC_PROG_CC
AC_PROG_CXX
AC_PROG_INSTALL
AC_CHECK_HEADER(SDL/SDL.h,, [echo "Please install SDL from http://www.libsdl.org";exit])
AC_CHECK_HEADER(SDL/SDL_mixer.h,, [echo "Please install SDL_mixer from http://www.libsdl.org/projects/SDL_mixer/";exit])




AC_CHECK_LIB( SDL,   main,, [
        echo "SDL installed, but -lSDL not found, run 'ldconfig' and try again,"
        echo "if that doesn't help have a look at the file config.log and look into"
        echo "the FAQ."
        exit
        ])
 
 AC_CHECK_LIB( SDL_mixer,   main,, [
        echo "SDL_mixer installed, but -lSDL_mixer not found, run 'ldconfig' and try again,"
        echo "if that doesn't help have a look at the file config.log and look into"
        echo "the FAQ."
        exit
        ])


AH_TEMPLATE(DEBUG_MODE)
[CXXFLAGS=""]



AC_ARG_ENABLE(debug, AC_HELP_STRING([--enable-debug],[Enable debug mode]), [
	AC_DEFINE(DEBUG_MODE,1)
	CXXFLAGS="$CXXFLAGS -O0 -g -Wall -pedantic"
	CPPFLAGS="$CPPFLAGS -DRESOURCE_PATH=\"\\\"${datadir}/${PACKAGE}\\\"\""
	],
    [
    CXXFLAGS="$CXXFLAGS -O2"
   CPPFLAGS="$CPPFLAGS -DRESOURCE_PATH=\"\\\"${datadir}/${PACKAGE}\\\"\""
    ]
	)

AC_ARG_ENABLE(profile, AC_HELP_STRING([--enable-profile],[Enable profile mode (very slow!)]), [
	CXXFLAGS="$CXXFLAGS -pg"
	],)

AC_ARG_ENABLE(static, AC_HELP_STRING([--enable-static],[Enable static compiling]), [
	LDFLAGS="$LDFLAGS --static"
	LIBS="$LIBS -L/usr/X11R6/lib -lXext -lXxf86vm -lX11 -lXm -lz -lSDL -lSDL_mixer -ldl -lpthread"
	],)
	
AC_OUTPUT(	Makefile		\
		src/Makefile		\
		data/Makefile		\
		data/gfx/Makefile	\
		data/sfx/Makefile	\
		data/maps/Makefile
		)
echo ""
echo " LDFLAGS = $LDFLAGS"
echo " CXXFLAGS = $CXXFLAGS"
echo ""
echo "Epiphany configuration is done. Start 'make' now."
echo ""


